  function targMap = targDataMap(),

  ;%***********************
  ;% Create Parameter Map *
  ;%***********************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 25;
    sectIdxOffset = 0;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc paramMap
    ;%
    paramMap.nSections           = nTotSects;
    paramMap.sectIdxOffset       = sectIdxOffset;
      paramMap.sections(nTotSects) = dumSection; %prealloc
    paramMap.nTotData            = -1;
    
    ;%
    ;% Auto data (rtP)
    ;%
      section.nData     = 5;
      section.data(5)  = dumData; %prealloc
      
	  ;% rtP.n_adc_max
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.n_gain
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtP.n_polePairs
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtP.n_ref_vol
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtP.n_resistance
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 4;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(1) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtP.dz_cntTrnsDetHi
	  section.data(1).logicalSrcIdx = 5;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.dz_cntTrnsDetLo
	  section.data(2).logicalSrcIdx = 6;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(2) = section;
      clear section
      
      section.nData     = 3;
      section.data(3)  = dumData; %prealloc
      
	  ;% rtP.cf_speedCoef
	  section.data(1).logicalSrcIdx = 7;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.i_hall_count_max
	  section.data(2).logicalSrcIdx = 8;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtP.z_maxCntRst
	  section.data(3).logicalSrcIdx = 9;
	  section.data(3).dtTransOffset = 2;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(3) = section;
      clear section
      
      section.nData     = 17;
      section.data(17)  = dumData; %prealloc
      
	  ;% rtP.i_hall_offset
	  section.data(1).logicalSrcIdx = 10;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.r_cos_M1
	  section.data(2).logicalSrcIdx = 11;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtP.r_sin_M1
	  section.data(3).logicalSrcIdx = 12;
	  section.data(3).dtTransOffset = 362;
	
	  ;% rtP.n_commAcvLo
	  section.data(4).logicalSrcIdx = 13;
	  section.data(4).dtTransOffset = 723;
	
	  ;% rtP.n_commDeacvHi
	  section.data(5).logicalSrcIdx = 14;
	  section.data(5).dtTransOffset = 724;
	
	  ;% rtP.Vq_max_XA
	  section.data(6).logicalSrcIdx = 15;
	  section.data(6).dtTransOffset = 725;
	
	  ;% rtP.i_Udc
	  section.data(7).logicalSrcIdx = 16;
	  section.data(7).dtTransOffset = 771;
	
	  ;% rtP.min_start_voltage_openloop
	  section.data(8).logicalSrcIdx = 17;
	  section.data(8).dtTransOffset = 772;
	
	  ;% rtP.n_fieldWeakAuthHi
	  section.data(9).logicalSrcIdx = 18;
	  section.data(9).dtTransOffset = 773;
	
	  ;% rtP.n_fieldWeakAuthLo
	  section.data(10).logicalSrcIdx = 19;
	  section.data(10).dtTransOffset = 774;
	
	  ;% rtP.r_fieldWeakHi
	  section.data(11).logicalSrcIdx = 20;
	  section.data(11).dtTransOffset = 775;
	
	  ;% rtP.r_fieldWeakLo
	  section.data(12).logicalSrcIdx = 21;
	  section.data(12).dtTransOffset = 776;
	
	  ;% rtP.Vd_max
	  section.data(13).logicalSrcIdx = 22;
	  section.data(13).dtTransOffset = 777;
	
	  ;% rtP.Vq_max_M1
	  section.data(14).logicalSrcIdx = 23;
	  section.data(14).dtTransOffset = 778;
	
	  ;% rtP.a_elecDeltaAngle
	  section.data(15).logicalSrcIdx = 24;
	  section.data(15).dtTransOffset = 824;
	
	  ;% rtP.id_fieldWeakMax
	  section.data(16).logicalSrcIdx = 25;
	  section.data(16).dtTransOffset = 825;
	
	  ;% rtP.a_rpm_step
	  section.data(17).logicalSrcIdx = 26;
	  section.data(17).dtTransOffset = 826;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(4) = section;
      clear section
      
      section.nData     = 8;
      section.data(8)  = dumData; %prealloc
      
	  ;% rtP.f_lpf_coeff
	  section.data(1).logicalSrcIdx = 27;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.iq_maxSca_M1
	  section.data(2).logicalSrcIdx = 28;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtP.iq_maxSca_XA
	  section.data(3).logicalSrcIdx = 29;
	  section.data(3).dtTransOffset = 51;
	
	  ;% rtP.a_elecAngle_XA
	  section.data(4).logicalSrcIdx = 30;
	  section.data(4).dtTransOffset = 101;
	
	  ;% rtP.i_adc
	  section.data(5).logicalSrcIdx = 31;
	  section.data(5).dtTransOffset = 462;
	
	  ;% rtP.i_dead
	  section.data(6).logicalSrcIdx = 32;
	  section.data(6).dtTransOffset = 463;
	
	  ;% rtP.i_half_pwm_count
	  section.data(7).logicalSrcIdx = 33;
	  section.data(7).dtTransOffset = 464;
	
	  ;% rtP.i_sample_before
	  section.data(8).logicalSrcIdx = 34;
	  section.data(8).dtTransOffset = 465;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(5) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtP.b_angleMeasEna
	  section.data(1).logicalSrcIdx = 35;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.b_fieldWeakEna
	  section.data(2).logicalSrcIdx = 36;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(6) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtP.vec_hallToPos
	  section.data(1).logicalSrcIdx = 37;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(7) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtP.OPEN_MODE
	  section.data(1).logicalSrcIdx = 38;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(8) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtP.modulatedwave_rep_seq_y
	  section.data(1).logicalSrcIdx = 39;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(9) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtP.CompareToConstant_const
	  section.data(1).logicalSrcIdx = 40;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(10) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtP.CompareToConstant_const_c30px104f3
	  section.data(1).logicalSrcIdx = 41;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(11) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtP.CompareToConstant_const_opnhp32m4z
	  section.data(1).logicalSrcIdx = 42;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(12) = section;
      clear section
      
      section.nData     = 26;
      section.data(26)  = dumData; %prealloc
      
	  ;% rtP.DataStoreMemory_InitialValue
	  section.data(1).logicalSrcIdx = 43;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.DataStoreMemory2_InitialValue
	  section.data(2).logicalSrcIdx = 44;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtP.DataStoreMemory_InitialValue_k3d0py0lyr
	  section.data(3).logicalSrcIdx = 45;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtP.DataStoreMemory2_InitialValue_e0vyc005kc
	  section.data(4).logicalSrcIdx = 46;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtP.Gain_Gain
	  section.data(5).logicalSrcIdx = 47;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtP.Constant1_Value
	  section.data(6).logicalSrcIdx = 48;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtP.LookUpTable1_bp01Data
	  section.data(7).logicalSrcIdx = 49;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtP.Switch_Threshold
	  section.data(8).logicalSrcIdx = 50;
	  section.data(8).dtTransOffset = 9;
	
	  ;% rtP.Memory_InitialCondition
	  section.data(9).logicalSrcIdx = 51;
	  section.data(9).dtTransOffset = 10;
	
	  ;% rtP.Memory1_InitialCondition
	  section.data(10).logicalSrcIdx = 52;
	  section.data(10).dtTransOffset = 11;
	
	  ;% rtP.Gain1_Gain
	  section.data(11).logicalSrcIdx = 53;
	  section.data(11).dtTransOffset = 12;
	
	  ;% rtP.FromWs_Time0
	  section.data(12).logicalSrcIdx = 54;
	  section.data(12).dtTransOffset = 13;
	
	  ;% rtP.FromWs_Data0
	  section.data(13).logicalSrcIdx = 55;
	  section.data(13).dtTransOffset = 21;
	
	  ;% rtP.Gain2_Gain
	  section.data(14).logicalSrcIdx = 56;
	  section.data(14).dtTransOffset = 29;
	
	  ;% rtP.raddeg_Gain
	  section.data(15).logicalSrcIdx = 57;
	  section.data(15).dtTransOffset = 30;
	
	  ;% rtP.Merge_InitialOutput
	  section.data(16).logicalSrcIdx = 58;
	  section.data(16).dtTransOffset = 31;
	
	  ;% rtP.Constant_Value
	  section.data(17).logicalSrcIdx = 59;
	  section.data(17).dtTransOffset = 32;
	
	  ;% rtP.Dead_Disable_Value
	  section.data(18).logicalSrcIdx = 60;
	  section.data(18).dtTransOffset = 33;
	
	  ;% rtP.Dead_Enable_Value
	  section.data(19).logicalSrcIdx = 61;
	  section.data(19).dtTransOffset = 34;
	
	  ;% rtP.Constant_Value_lwga4fzsnq
	  section.data(20).logicalSrcIdx = 62;
	  section.data(20).dtTransOffset = 35;
	
	  ;% rtP.Constant_Value_hoxzd0nsmk
	  section.data(21).logicalSrcIdx = 63;
	  section.data(21).dtTransOffset = 36;
	
	  ;% rtP.Constant1_Value_nrwkmil05x
	  section.data(22).logicalSrcIdx = 64;
	  section.data(22).dtTransOffset = 37;
	
	  ;% rtP.Constant2_Value
	  section.data(23).logicalSrcIdx = 65;
	  section.data(23).dtTransOffset = 38;
	
	  ;% rtP.Constant3_Value
	  section.data(24).logicalSrcIdx = 66;
	  section.data(24).dtTransOffset = 39;
	
	  ;% rtP.Constant4_Value
	  section.data(25).logicalSrcIdx = 67;
	  section.data(25).dtTransOffset = 40;
	
	  ;% rtP.Constant5_Value
	  section.data(26).logicalSrcIdx = 68;
	  section.data(26).dtTransOffset = 41;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(13) = section;
      clear section
      
      section.nData     = 12;
      section.data(12)  = dumData; %prealloc
      
	  ;% rtP.UnitDelay2_InitialCondition
	  section.data(1).logicalSrcIdx = 69;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.UnitDelay3_InitialCondition
	  section.data(2).logicalSrcIdx = 70;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtP.UnitDelay5_InitialCondition
	  section.data(3).logicalSrcIdx = 71;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtP.g_Ha_Gain
	  section.data(4).logicalSrcIdx = 72;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtP.r_cos_M1_maxIndex
	  section.data(5).logicalSrcIdx = 73;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtP.r_sin_M1_maxIndex
	  section.data(6).logicalSrcIdx = 74;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtP.iq_maxSca_M1_maxIndex
	  section.data(7).logicalSrcIdx = 75;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtP.Vq_max_M1_maxIndex
	  section.data(8).logicalSrcIdx = 76;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtP.UnitDelay3_InitialCondition_ehofyfh5ho
	  section.data(9).logicalSrcIdx = 77;
	  section.data(9).dtTransOffset = 8;
	
	  ;% rtP.UnitDelay_InitialCondition
	  section.data(10).logicalSrcIdx = 78;
	  section.data(10).dtTransOffset = 9;
	
	  ;% rtP.Constant6_Value
	  section.data(11).logicalSrcIdx = 79;
	  section.data(11).dtTransOffset = 10;
	
	  ;% rtP.Constant23_Value
	  section.data(12).logicalSrcIdx = 80;
	  section.data(12).dtTransOffset = 11;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(14) = section;
      clear section
      
      section.nData     = 54;
      section.data(54)  = dumData; %prealloc
      
	  ;% rtP.Constant1_Value_mfuu3zdpmt
	  section.data(1).logicalSrcIdx = 81;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.Constant1_Value_n1mqsrpxk5
	  section.data(2).logicalSrcIdx = 82;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtP.Constant7_Value
	  section.data(3).logicalSrcIdx = 83;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtP.Constant8_Value
	  section.data(4).logicalSrcIdx = 84;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtP.Constant3_Value_cktpavq45n
	  section.data(5).logicalSrcIdx = 85;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtP.Constant4_Value_meuudjocpu
	  section.data(6).logicalSrcIdx = 86;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtP.Constant6_Value_plm5mh4hzr
	  section.data(7).logicalSrcIdx = 87;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtP.Constant2_Value_ld1sjzzy1n
	  section.data(8).logicalSrcIdx = 88;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtP.Constant_Value_lawquwqtq3
	  section.data(9).logicalSrcIdx = 89;
	  section.data(9).dtTransOffset = 8;
	
	  ;% rtP.Constant1_Value_cn31ybre3o
	  section.data(10).logicalSrcIdx = 90;
	  section.data(10).dtTransOffset = 9;
	
	  ;% rtP.Constant2_Value_j0nafyqrpv
	  section.data(11).logicalSrcIdx = 91;
	  section.data(11).dtTransOffset = 10;
	
	  ;% rtP.Constant3_Value_nqkf541o1m
	  section.data(12).logicalSrcIdx = 92;
	  section.data(12).dtTransOffset = 11;
	
	  ;% rtP.Constant4_Value_eo5zsifiwc
	  section.data(13).logicalSrcIdx = 93;
	  section.data(13).dtTransOffset = 12;
	
	  ;% rtP.Constant1_Value_pbdosmlzxp
	  section.data(14).logicalSrcIdx = 94;
	  section.data(14).dtTransOffset = 13;
	
	  ;% rtP.Gain_Gain_p31gsgekrj
	  section.data(15).logicalSrcIdx = 95;
	  section.data(15).dtTransOffset = 14;
	
	  ;% rtP.Constant1_Value_i3felecbvz
	  section.data(16).logicalSrcIdx = 96;
	  section.data(16).dtTransOffset = 15;
	
	  ;% rtP.Constant11_Value
	  section.data(17).logicalSrcIdx = 97;
	  section.data(17).dtTransOffset = 16;
	
	  ;% rtP.Constant_Value_m5qrbrxcrt
	  section.data(18).logicalSrcIdx = 98;
	  section.data(18).dtTransOffset = 17;
	
	  ;% rtP.Constant1_Value_bgqlwtwk4z
	  section.data(19).logicalSrcIdx = 99;
	  section.data(19).dtTransOffset = 18;
	
	  ;% rtP.Constant_Value_fmokpqnlpw
	  section.data(20).logicalSrcIdx = 100;
	  section.data(20).dtTransOffset = 19;
	
	  ;% rtP.Gain2_Gain_jhbn4t1dyg
	  section.data(21).logicalSrcIdx = 101;
	  section.data(21).dtTransOffset = 20;
	
	  ;% rtP.Gain_Gain_aibzfyynsg
	  section.data(22).logicalSrcIdx = 102;
	  section.data(22).dtTransOffset = 21;
	
	  ;% rtP.Gain1_Gain_elbvr5ycds
	  section.data(23).logicalSrcIdx = 103;
	  section.data(23).dtTransOffset = 22;
	
	  ;% rtP.Multiply_Gain
	  section.data(24).logicalSrcIdx = 104;
	  section.data(24).dtTransOffset = 23;
	
	  ;% rtP.iq_target_Y0
	  section.data(25).logicalSrcIdx = 105;
	  section.data(25).dtTransOffset = 24;
	
	  ;% rtP.Switch_Threshold_pf1zwyimv5
	  section.data(26).logicalSrcIdx = 106;
	  section.data(26).dtTransOffset = 25;
	
	  ;% rtP.n_motRaw_Y0
	  section.data(27).logicalSrcIdx = 107;
	  section.data(27).dtTransOffset = 26;
	
	  ;% rtP.UnitDelay4_InitialCondition
	  section.data(28).logicalSrcIdx = 108;
	  section.data(28).dtTransOffset = 27;
	
	  ;% rtP.Constant4_Value_g5tdqfpf0h
	  section.data(29).logicalSrcIdx = 109;
	  section.data(29).dtTransOffset = 28;
	
	  ;% rtP.Constant5_Value_hukixlpixn
	  section.data(30).logicalSrcIdx = 110;
	  section.data(30).dtTransOffset = 29;
	
	  ;% rtP.UnitDelay4_InitialCondition_dhy1cxosgt
	  section.data(31).logicalSrcIdx = 111;
	  section.data(31).dtTransOffset = 30;
	
	  ;% rtP.Constant4_Value_nwbm45bej2
	  section.data(32).logicalSrcIdx = 112;
	  section.data(32).dtTransOffset = 31;
	
	  ;% rtP.speed_limit_Value
	  section.data(33).logicalSrcIdx = 113;
	  section.data(33).dtTransOffset = 32;
	
	  ;% rtP.Constant4_Value_oh2tsdggov
	  section.data(34).logicalSrcIdx = 114;
	  section.data(34).dtTransOffset = 33;
	
	  ;% rtP.Merge_InitialOutput_nnbegyxgeq
	  section.data(35).logicalSrcIdx = 115;
	  section.data(35).dtTransOffset = 34;
	
	  ;% rtP.Constant_Value_afpjfy0ltl
	  section.data(36).logicalSrcIdx = 116;
	  section.data(36).dtTransOffset = 35;
	
	  ;% rtP.vq_out_Y0
	  section.data(37).logicalSrcIdx = 117;
	  section.data(37).dtTransOffset = 36;
	
	  ;% rtP.id_out_Y0
	  section.data(38).logicalSrcIdx = 118;
	  section.data(38).dtTransOffset = 37;
	
	  ;% rtP.UnitDelay1_InitialCondition
	  section.data(39).logicalSrcIdx = 119;
	  section.data(39).dtTransOffset = 38;
	
	  ;% rtP.UnitDelay2_InitialCondition_hvi5vmqnsx
	  section.data(40).logicalSrcIdx = 120;
	  section.data(40).dtTransOffset = 39;
	
	  ;% rtP.Constant3_Value_lp4igfeqm2
	  section.data(41).logicalSrcIdx = 121;
	  section.data(41).dtTransOffset = 40;
	
	  ;% rtP.r_fieldWeak_Y0
	  section.data(42).logicalSrcIdx = 122;
	  section.data(42).dtTransOffset = 41;
	
	  ;% rtP.Constant3_Value_iim4kqaacm
	  section.data(43).logicalSrcIdx = 123;
	  section.data(43).dtTransOffset = 42;
	
	  ;% rtP.pi_out_Y0
	  section.data(44).logicalSrcIdx = 124;
	  section.data(44).dtTransOffset = 43;
	
	  ;% rtP.Constant_Value_gruv4kmzc0
	  section.data(45).logicalSrcIdx = 125;
	  section.data(45).dtTransOffset = 44;
	
	  ;% rtP.Gain1_Gain_fqealp2cnm
	  section.data(46).logicalSrcIdx = 126;
	  section.data(46).dtTransOffset = 45;
	
	  ;% rtP.Gain5_Gain
	  section.data(47).logicalSrcIdx = 127;
	  section.data(47).dtTransOffset = 46;
	
	  ;% rtP.Constant1_Value_fm0hfw5dcj
	  section.data(48).logicalSrcIdx = 128;
	  section.data(48).dtTransOffset = 47;
	
	  ;% rtP.Constant4_Value_gbsmiewbbg
	  section.data(49).logicalSrcIdx = 129;
	  section.data(49).dtTransOffset = 48;
	
	  ;% rtP.Gain3_Gain
	  section.data(50).logicalSrcIdx = 130;
	  section.data(50).dtTransOffset = 49;
	
	  ;% rtP.Gain4_Gain
	  section.data(51).logicalSrcIdx = 131;
	  section.data(51).dtTransOffset = 50;
	
	  ;% rtP.Constant9_Value
	  section.data(52).logicalSrcIdx = 132;
	  section.data(52).dtTransOffset = 51;
	
	  ;% rtP.i_dc_limit_Value
	  section.data(53).logicalSrcIdx = 133;
	  section.data(53).dtTransOffset = 52;
	
	  ;% rtP.Gain_Gain_b3km5qa3ir
	  section.data(54).logicalSrcIdx = 134;
	  section.data(54).dtTransOffset = 53;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(15) = section;
      clear section
      
      section.nData     = 10;
      section.data(10)  = dumData; %prealloc
      
	  ;% rtP.UnitDelay2_InitialCondition_jbowcjs2jf
	  section.data(1).logicalSrcIdx = 135;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.UnitDelay3_InitialCondition_i4g0avon54
	  section.data(2).logicalSrcIdx = 136;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtP.UnitDelay5_InitialCondition_pwox0sikus
	  section.data(3).logicalSrcIdx = 137;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtP.Constant5_Value_axszy5sgp5
	  section.data(4).logicalSrcIdx = 138;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtP.TS_Value
	  section.data(5).logicalSrcIdx = 139;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtP.Memory2_InitialCondition
	  section.data(6).logicalSrcIdx = 140;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtP.Memory3_InitialCondition
	  section.data(7).logicalSrcIdx = 141;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtP.Memory4_InitialCondition
	  section.data(8).logicalSrcIdx = 142;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtP.Memory_InitialCondition_ggq2uamd5m
	  section.data(9).logicalSrcIdx = 143;
	  section.data(9).dtTransOffset = 8;
	
	  ;% rtP.Memory1_InitialCondition_hul0dtsj5y
	  section.data(10).logicalSrcIdx = 144;
	  section.data(10).dtTransOffset = 9;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(16) = section;
      clear section
      
      section.nData     = 12;
      section.data(12)  = dumData; %prealloc
      
	  ;% rtP.b_enaAdvCtrl_Y0
	  section.data(1).logicalSrcIdx = 145;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.n_commDeacv_YOn
	  section.data(2).logicalSrcIdx = 146;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtP.n_commDeacv_YOff
	  section.data(3).logicalSrcIdx = 147;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtP.dz_trnsDet_Y0
	  section.data(4).logicalSrcIdx = 148;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtP.UnitDelay1_InitialCondition_cbtku3cxyp
	  section.data(5).logicalSrcIdx = 149;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtP.smooth_Value
	  section.data(6).logicalSrcIdx = 150;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtP.Constant_Value_kwwys1kvag
	  section.data(7).logicalSrcIdx = 151;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtP.Delay_InitialCondition
	  section.data(8).logicalSrcIdx = 152;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtP.Delay_InitialCondition_jrezgfzsw4
	  section.data(9).logicalSrcIdx = 153;
	  section.data(9).dtTransOffset = 8;
	
	  ;% rtP.Delay1_InitialCondition
	  section.data(10).logicalSrcIdx = 154;
	  section.data(10).dtTransOffset = 9;
	
	  ;% rtP.Delay2_InitialCondition
	  section.data(11).logicalSrcIdx = 155;
	  section.data(11).dtTransOffset = 10;
	
	  ;% rtP.motor_enable_Value
	  section.data(12).logicalSrcIdx = 156;
	  section.data(12).dtTransOffset = 11;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(17) = section;
      clear section
      
      section.nData     = 10;
      section.data(10)  = dumData; %prealloc
      
	  ;% rtP.z_dir_Y0
	  section.data(1).logicalSrcIdx = 157;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.z_dirPrev_Y0
	  section.data(2).logicalSrcIdx = 158;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtP.UnitDelay2_InitialCondition_b4hpeiwu4m
	  section.data(3).logicalSrcIdx = 159;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtP.UnitDelay3_InitialCondition_o0fqg000ri
	  section.data(4).logicalSrcIdx = 160;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtP.Constant20_Value
	  section.data(5).logicalSrcIdx = 161;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtP.Constant23_Value_hao4x44ah2
	  section.data(6).logicalSrcIdx = 162;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtP.Constant24_Value
	  section.data(7).logicalSrcIdx = 163;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtP.Constant8_Value_a5rnl3iohi
	  section.data(8).logicalSrcIdx = 164;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtP.Constant16_Value
	  section.data(9).logicalSrcIdx = 165;
	  section.data(9).dtTransOffset = 8;
	
	  ;% rtP.Constant2_Value_bvzbygmfek
	  section.data(10).logicalSrcIdx = 166;
	  section.data(10).dtTransOffset = 9;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(18) = section;
      clear section
      
      section.nData     = 23;
      section.data(23)  = dumData; %prealloc
      
	  ;% rtP.UnitDelay8_InitialCondition
	  section.data(1).logicalSrcIdx = 167;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.UnitDelay7_InitialCondition
	  section.data(2).logicalSrcIdx = 168;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtP.UnitDelay6_InitialCondition
	  section.data(3).logicalSrcIdx = 169;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtP.dz_cntTrnsDet_YOn
	  section.data(4).logicalSrcIdx = 170;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtP.dz_cntTrnsDet_YOff
	  section.data(5).logicalSrcIdx = 171;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtP.ManualSwitch_CurrentSetting
	  section.data(6).logicalSrcIdx = 172;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtP.Gain6_Gain
	  section.data(7).logicalSrcIdx = 173;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtP.Constant_Value_ivcroz2ekt
	  section.data(8).logicalSrcIdx = 174;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtP.Constant1_Value_ot4nebnjcg
	  section.data(9).logicalSrcIdx = 175;
	  section.data(9).dtTransOffset = 8;
	
	  ;% rtP.Constant2_Value_lpzpzwglez
	  section.data(10).logicalSrcIdx = 176;
	  section.data(10).dtTransOffset = 9;
	
	  ;% rtP.Constant1_Value_ivbm1cdrab
	  section.data(11).logicalSrcIdx = 177;
	  section.data(11).dtTransOffset = 10;
	
	  ;% rtP.Constant_Value_c1zzxyoirl
	  section.data(12).logicalSrcIdx = 178;
	  section.data(12).dtTransOffset = 11;
	
	  ;% rtP.Delay_InitialCondition_e03esys32u
	  section.data(13).logicalSrcIdx = 179;
	  section.data(13).dtTransOffset = 12;
	
	  ;% rtP.Delay1_InitialCondition_h33fxedixn
	  section.data(14).logicalSrcIdx = 180;
	  section.data(14).dtTransOffset = 13;
	
	  ;% rtP.Delay2_InitialCondition_niglvl4npn
	  section.data(15).logicalSrcIdx = 181;
	  section.data(15).dtTransOffset = 14;
	
	  ;% rtP.Gain_Gain_nwocmfpvxk
	  section.data(16).logicalSrcIdx = 182;
	  section.data(16).dtTransOffset = 15;
	
	  ;% rtP.Gain1_Gain_dcquyu5zec
	  section.data(17).logicalSrcIdx = 183;
	  section.data(17).dtTransOffset = 16;
	
	  ;% rtP.ManualSwitch_CurrentSetting_b43dnndgpt
	  section.data(18).logicalSrcIdx = 184;
	  section.data(18).dtTransOffset = 17;
	
	  ;% rtP.hall_motor_speed_choice_CurrentSetting
	  section.data(19).logicalSrcIdx = 185;
	  section.data(19).dtTransOffset = 18;
	
	  ;% rtP.hall_motor_angel_choice_CurrentSetting
	  section.data(20).logicalSrcIdx = 186;
	  section.data(20).dtTransOffset = 19;
	
	  ;% rtP.ManualSwitch_CurrentSetting_lozjlaovmx
	  section.data(21).logicalSrcIdx = 187;
	  section.data(21).dtTransOffset = 20;
	
	  ;% rtP.ManualSwitch1_CurrentSetting
	  section.data(22).logicalSrcIdx = 188;
	  section.data(22).dtTransOffset = 21;
	
	  ;% rtP.ctrl_mode_Value
	  section.data(23).logicalSrcIdx = 189;
	  section.data(23).dtTransOffset = 22;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(19) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtP.fdz4phu3ryu.UnitDelay_InitialCondition
	  section.data(1).logicalSrcIdx = 190;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(20) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtP.meo3xsl5lqf.UnitDelay1_InitialCondition
	  section.data(1).logicalSrcIdx = 191;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(21) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtP.n30etil1yvr.UnitDelay_InitialCondition
	  section.data(1).logicalSrcIdx = 192;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtP.n30etil1yvr.UnitDelay_InitialCondition_nofnsp1avs
	  section.data(2).logicalSrcIdx = 193;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(22) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtP.pubdfj1edpf.UnitDelay_InitialCondition
	  section.data(1).logicalSrcIdx = 194;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(23) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtP.pubdfj1edpf.UnitDelay_InitialCondition_nx44oc1ciy
	  section.data(1).logicalSrcIdx = 195;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(24) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtP.cpoajd5uh02.UnitDelay1_InitialCondition
	  section.data(1).logicalSrcIdx = 196;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      paramMap.sections(25) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (parameter)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    paramMap.nTotData = nTotData;
    


  ;%**************************
  ;% Create Block Output Map *
  ;%**************************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 20;
    sectIdxOffset = 0;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc sigMap
    ;%
    sigMap.nSections           = nTotSects;
    sigMap.sectIdxOffset       = sectIdxOffset;
      sigMap.sections(nTotSects) = dumSection; %prealloc
    sigMap.nTotData            = -1;
    
    ;%
    ;% Auto data (rtB)
    ;%
      section.nData     = 13;
      section.data(13)  = dumData; %prealloc
      
	  ;% rtB.fuyeltap5a
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.megmewxqrd
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtB.cidzayhxni
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtB.n55agx45bu
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 8;
	
	  ;% rtB.lfc51tobdb
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 12;
	
	  ;% rtB.fiygwmgxli
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 16;
	
	  ;% rtB.hrn0vza32l
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 20;
	
	  ;% rtB.nckbbwqwdk
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 24;
	
	  ;% rtB.ijzodrsa3j
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 28;
	
	  ;% rtB.cth1cljg1v
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 32;
	
	  ;% rtB.iairrjrsnt
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 76;
	
	  ;% rtB.ozks1puxeq
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 82;
	
	  ;% rtB.g2aizzghv3
	  section.data(13).logicalSrcIdx = 12;
	  section.data(13).dtTransOffset = 84;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(1) = section;
      clear section
      
      section.nData     = 7;
      section.data(7)  = dumData; %prealloc
      
	  ;% rtB.hl1k3jvtug
	  section.data(1).logicalSrcIdx = 13;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.g2bdghkoar
	  section.data(2).logicalSrcIdx = 14;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtB.bpatsrsf2k
	  section.data(3).logicalSrcIdx = 15;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtB.m3g31sqwvs
	  section.data(4).logicalSrcIdx = 17;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtB.bnw3q0x0h2
	  section.data(5).logicalSrcIdx = 18;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtB.h4eizf2njq
	  section.data(6).logicalSrcIdx = 19;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtB.iyujfsg4il
	  section.data(7).logicalSrcIdx = 20;
	  section.data(7).dtTransOffset = 6;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(2) = section;
      clear section
      
      section.nData     = 12;
      section.data(12)  = dumData; %prealloc
      
	  ;% rtB.hr0ijokt1h
	  section.data(1).logicalSrcIdx = 21;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.c0za51q0f5
	  section.data(2).logicalSrcIdx = 22;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtB.kqb2lyogzy
	  section.data(3).logicalSrcIdx = 23;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtB.o25j5dk545
	  section.data(4).logicalSrcIdx = 24;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtB.cmokv1niht
	  section.data(5).logicalSrcIdx = 25;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtB.dksojetaez
	  section.data(6).logicalSrcIdx = 26;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtB.c5xoayxq5h
	  section.data(7).logicalSrcIdx = 27;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtB.mgmfyffcon
	  section.data(8).logicalSrcIdx = 28;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtB.iai2mktnen
	  section.data(9).logicalSrcIdx = 29;
	  section.data(9).dtTransOffset = 10;
	
	  ;% rtB.bicv1bgkwt
	  section.data(10).logicalSrcIdx = 30;
	  section.data(10).dtTransOffset = 13;
	
	  ;% rtB.o0dr2mdulx
	  section.data(11).logicalSrcIdx = 31;
	  section.data(11).dtTransOffset = 14;
	
	  ;% rtB.bitjivs5h3
	  section.data(12).logicalSrcIdx = 32;
	  section.data(12).dtTransOffset = 15;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(3) = section;
      clear section
      
      section.nData     = 33;
      section.data(33)  = dumData; %prealloc
      
	  ;% rtB.fglfzygoz5
	  section.data(1).logicalSrcIdx = 33;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.gvza14twud
	  section.data(2).logicalSrcIdx = 34;
	  section.data(2).dtTransOffset = 2;
	
	  ;% rtB.ehbpsnl1hj
	  section.data(3).logicalSrcIdx = 35;
	  section.data(3).dtTransOffset = 3;
	
	  ;% rtB.dcimgobmd0
	  section.data(4).logicalSrcIdx = 36;
	  section.data(4).dtTransOffset = 4;
	
	  ;% rtB.k203swwpuy
	  section.data(5).logicalSrcIdx = 37;
	  section.data(5).dtTransOffset = 5;
	
	  ;% rtB.kth5gdtz2g
	  section.data(6).logicalSrcIdx = 38;
	  section.data(6).dtTransOffset = 6;
	
	  ;% rtB.jot1xj131p
	  section.data(7).logicalSrcIdx = 39;
	  section.data(7).dtTransOffset = 7;
	
	  ;% rtB.keyifcwses
	  section.data(8).logicalSrcIdx = 40;
	  section.data(8).dtTransOffset = 8;
	
	  ;% rtB.j0kbkxugjw
	  section.data(9).logicalSrcIdx = 41;
	  section.data(9).dtTransOffset = 9;
	
	  ;% rtB.hgv1cfpui3
	  section.data(10).logicalSrcIdx = 42;
	  section.data(10).dtTransOffset = 10;
	
	  ;% rtB.pemdc1ds0q
	  section.data(11).logicalSrcIdx = 43;
	  section.data(11).dtTransOffset = 11;
	
	  ;% rtB.nceu43w1ix
	  section.data(12).logicalSrcIdx = 44;
	  section.data(12).dtTransOffset = 12;
	
	  ;% rtB.ifs0c0epvr
	  section.data(13).logicalSrcIdx = 45;
	  section.data(13).dtTransOffset = 13;
	
	  ;% rtB.kkpembvzgm
	  section.data(14).logicalSrcIdx = 46;
	  section.data(14).dtTransOffset = 14;
	
	  ;% rtB.j2g21zcr5b
	  section.data(15).logicalSrcIdx = 47;
	  section.data(15).dtTransOffset = 15;
	
	  ;% rtB.kwfu3n45l5
	  section.data(16).logicalSrcIdx = 48;
	  section.data(16).dtTransOffset = 16;
	
	  ;% rtB.pw2awuefim
	  section.data(17).logicalSrcIdx = 49;
	  section.data(17).dtTransOffset = 17;
	
	  ;% rtB.iz1n4yrey2
	  section.data(18).logicalSrcIdx = 50;
	  section.data(18).dtTransOffset = 18;
	
	  ;% rtB.hpir1kphxx
	  section.data(19).logicalSrcIdx = 51;
	  section.data(19).dtTransOffset = 19;
	
	  ;% rtB.pi2ii4ufwm
	  section.data(20).logicalSrcIdx = 52;
	  section.data(20).dtTransOffset = 20;
	
	  ;% rtB.neyktewlh5
	  section.data(21).logicalSrcIdx = 53;
	  section.data(21).dtTransOffset = 21;
	
	  ;% rtB.nfuvtrnjsl
	  section.data(22).logicalSrcIdx = 54;
	  section.data(22).dtTransOffset = 22;
	
	  ;% rtB.i03w3s4gvi
	  section.data(23).logicalSrcIdx = 55;
	  section.data(23).dtTransOffset = 23;
	
	  ;% rtB.hav1bb2xr5
	  section.data(24).logicalSrcIdx = 56;
	  section.data(24).dtTransOffset = 24;
	
	  ;% rtB.fm3w14hvds
	  section.data(25).logicalSrcIdx = 57;
	  section.data(25).dtTransOffset = 25;
	
	  ;% rtB.dr11tqhixq
	  section.data(26).logicalSrcIdx = 58;
	  section.data(26).dtTransOffset = 26;
	
	  ;% rtB.prh0tvfdbd
	  section.data(27).logicalSrcIdx = 59;
	  section.data(27).dtTransOffset = 27;
	
	  ;% rtB.hfzboalwag
	  section.data(28).logicalSrcIdx = 60;
	  section.data(28).dtTransOffset = 28;
	
	  ;% rtB.pywty24jlk
	  section.data(29).logicalSrcIdx = 61;
	  section.data(29).dtTransOffset = 29;
	
	  ;% rtB.irm414lix3
	  section.data(30).logicalSrcIdx = 62;
	  section.data(30).dtTransOffset = 30;
	
	  ;% rtB.jypvuvbmom
	  section.data(31).logicalSrcIdx = 63;
	  section.data(31).dtTransOffset = 31;
	
	  ;% rtB.hyvw3g0pr4
	  section.data(32).logicalSrcIdx = 64;
	  section.data(32).dtTransOffset = 33;
	
	  ;% rtB.dui4igmu1s
	  section.data(33).logicalSrcIdx = 65;
	  section.data(33).dtTransOffset = 34;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(4) = section;
      clear section
      
      section.nData     = 9;
      section.data(9)  = dumData; %prealloc
      
	  ;% rtB.gyfvvpphg3
	  section.data(1).logicalSrcIdx = 66;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.lq04dno4oh
	  section.data(2).logicalSrcIdx = 67;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtB.agxforlowa
	  section.data(3).logicalSrcIdx = 68;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtB.jkihbayrji
	  section.data(4).logicalSrcIdx = 69;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtB.ckpag1ejut
	  section.data(5).logicalSrcIdx = 70;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtB.ormfoxg3ds
	  section.data(6).logicalSrcIdx = 71;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtB.aphubgpj5g
	  section.data(7).logicalSrcIdx = 72;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtB.oia2g23wpz
	  section.data(8).logicalSrcIdx = 73;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtB.dttoav0moq
	  section.data(9).logicalSrcIdx = 74;
	  section.data(9).dtTransOffset = 8;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(5) = section;
      clear section
      
      section.nData     = 5;
      section.data(5)  = dumData; %prealloc
      
	  ;% rtB.htuwjcxbk0
	  section.data(1).logicalSrcIdx = 75;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.g3gfwjxxix
	  section.data(2).logicalSrcIdx = 76;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtB.dklsg5pvbb
	  section.data(3).logicalSrcIdx = 77;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtB.gpqvhujprf
	  section.data(4).logicalSrcIdx = 78;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtB.g1jlceech1
	  section.data(5).logicalSrcIdx = 79;
	  section.data(5).dtTransOffset = 4;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(6) = section;
      clear section
      
      section.nData     = 19;
      section.data(19)  = dumData; %prealloc
      
	  ;% rtB.hltmrpvj1p
	  section.data(1).logicalSrcIdx = 80;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.lk4zjjz41c
	  section.data(2).logicalSrcIdx = 81;
	  section.data(2).dtTransOffset = 6;
	
	  ;% rtB.mweesx4sey
	  section.data(3).logicalSrcIdx = 82;
	  section.data(3).dtTransOffset = 7;
	
	  ;% rtB.flinlchw1h
	  section.data(4).logicalSrcIdx = 83;
	  section.data(4).dtTransOffset = 8;
	
	  ;% rtB.pxjlxuyjb5
	  section.data(5).logicalSrcIdx = 84;
	  section.data(5).dtTransOffset = 9;
	
	  ;% rtB.o4mntq1jfd
	  section.data(6).logicalSrcIdx = 85;
	  section.data(6).dtTransOffset = 10;
	
	  ;% rtB.hqr0qifjoz
	  section.data(7).logicalSrcIdx = 86;
	  section.data(7).dtTransOffset = 11;
	
	  ;% rtB.n2ct5ob2wl
	  section.data(8).logicalSrcIdx = 87;
	  section.data(8).dtTransOffset = 12;
	
	  ;% rtB.gdygozc13m
	  section.data(9).logicalSrcIdx = 88;
	  section.data(9).dtTransOffset = 13;
	
	  ;% rtB.j12geqgcex
	  section.data(10).logicalSrcIdx = 89;
	  section.data(10).dtTransOffset = 14;
	
	  ;% rtB.aomo240dmp
	  section.data(11).logicalSrcIdx = 90;
	  section.data(11).dtTransOffset = 15;
	
	  ;% rtB.mabcey02v2
	  section.data(12).logicalSrcIdx = 91;
	  section.data(12).dtTransOffset = 16;
	
	  ;% rtB.a505li3yys
	  section.data(13).logicalSrcIdx = 92;
	  section.data(13).dtTransOffset = 17;
	
	  ;% rtB.ksiabedanv
	  section.data(14).logicalSrcIdx = 93;
	  section.data(14).dtTransOffset = 18;
	
	  ;% rtB.kn5b5mjgpt
	  section.data(15).logicalSrcIdx = 94;
	  section.data(15).dtTransOffset = 24;
	
	  ;% rtB.dhnxtiktvh
	  section.data(16).logicalSrcIdx = 95;
	  section.data(16).dtTransOffset = 25;
	
	  ;% rtB.asc45ue45v
	  section.data(17).logicalSrcIdx = 96;
	  section.data(17).dtTransOffset = 26;
	
	  ;% rtB.cy0dyuedjp
	  section.data(18).logicalSrcIdx = 97;
	  section.data(18).dtTransOffset = 27;
	
	  ;% rtB.g0gujplx2r
	  section.data(19).logicalSrcIdx = 98;
	  section.data(19).dtTransOffset = 28;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(7) = section;
      clear section
      
      section.nData     = 6;
      section.data(6)  = dumData; %prealloc
      
	  ;% rtB.fdz4phu3ryu.f41yvkauih
	  section.data(1).logicalSrcIdx = 99;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.fdz4phu3ryu.bxmfuji0dh
	  section.data(2).logicalSrcIdx = 100;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtB.fdz4phu3ryu.dsjvzll5l3
	  section.data(3).logicalSrcIdx = 101;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtB.fdz4phu3ryu.ccvgxr12jg
	  section.data(4).logicalSrcIdx = 102;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtB.fdz4phu3ryu.ormyhe3icn
	  section.data(5).logicalSrcIdx = 103;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtB.fdz4phu3ryu.egkbdr0n0p
	  section.data(6).logicalSrcIdx = 104;
	  section.data(6).dtTransOffset = 5;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(8) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtB.fdz4phu3ryu.mrsm1mogfj
	  section.data(1).logicalSrcIdx = 105;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(9) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtB.meo3xsl5lqf.okk1dkpu34
	  section.data(1).logicalSrcIdx = 106;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.meo3xsl5lqf.np4j3haun3
	  section.data(2).logicalSrcIdx = 107;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(10) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtB.j1khybhwff.gwfhlmmysn
	  section.data(1).logicalSrcIdx = 108;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.j1khybhwff.n1ku1hlgib
	  section.data(2).logicalSrcIdx = 109;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(11) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtB.j1khybhwff.l1s3iblud2
	  section.data(1).logicalSrcIdx = 110;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(12) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtB.n30etil1yvr.lfmppyqz1u
	  section.data(1).logicalSrcIdx = 111;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.n30etil1yvr.a5wchsyxl2
	  section.data(2).logicalSrcIdx = 112;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(13) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtB.n30etil1yvr.n4j2qb3der
	  section.data(1).logicalSrcIdx = 113;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(14) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtB.pubdfj1edpf.gefdxyy0g1
	  section.data(1).logicalSrcIdx = 114;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(15) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtB.pubdfj1edpf.nz3zaaaraq
	  section.data(1).logicalSrcIdx = 115;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.pubdfj1edpf.py5uhmdfbm
	  section.data(2).logicalSrcIdx = 116;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(16) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtB.pubdfj1edpf.fsq15efoh5
	  section.data(1).logicalSrcIdx = 117;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(17) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtB.cpoajd5uh02.gx2jlq5q31
	  section.data(1).logicalSrcIdx = 118;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.cpoajd5uh02.htqonzvdzb
	  section.data(2).logicalSrcIdx = 119;
	  section.data(2).dtTransOffset = 2;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(18) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtB.n0gksqxwn5.jh44athpdt
	  section.data(1).logicalSrcIdx = 120;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.n0gksqxwn5.cusnr13h0o
	  section.data(2).logicalSrcIdx = 121;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(19) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtB.pzgfoorf2m.jh44athpdt
	  section.data(1).logicalSrcIdx = 122;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtB.pzgfoorf2m.cusnr13h0o
	  section.data(2).logicalSrcIdx = 123;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      sigMap.sections(20) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (signal)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    sigMap.nTotData = nTotData;
    


  ;%*******************
  ;% Create DWork Map *
  ;%*******************
      
    nTotData      = 0; %add to this count as we go
    nTotSects     = 21;
    sectIdxOffset = 20;
    
    ;%
    ;% Define dummy sections & preallocate arrays
    ;%
    dumSection.nData = -1;  
    dumSection.data  = [];
    
    dumData.logicalSrcIdx = -1;
    dumData.dtTransOffset = -1;
    
    ;%
    ;% Init/prealloc dworkMap
    ;%
    dworkMap.nSections           = nTotSects;
    dworkMap.sectIdxOffset       = sectIdxOffset;
      dworkMap.sections(nTotSects) = dumSection; %prealloc
    dworkMap.nTotData            = -1;
    
    ;%
    ;% Auto data (rtDW)
    ;%
      section.nData     = 14;
      section.data(14)  = dumData; %prealloc
      
	  ;% rtDW.o5kmncknbj
	  section.data(1).logicalSrcIdx = 0;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.crq4oiu4cs
	  section.data(2).logicalSrcIdx = 1;
	  section.data(2).dtTransOffset = 2;
	
	  ;% rtDW.fyfgj2vhwy
	  section.data(3).logicalSrcIdx = 2;
	  section.data(3).dtTransOffset = 4;
	
	  ;% rtDW.mpp40kgjsl
	  section.data(4).logicalSrcIdx = 3;
	  section.data(4).dtTransOffset = 6;
	
	  ;% rtDW.hld2w0s3bq
	  section.data(5).logicalSrcIdx = 4;
	  section.data(5).dtTransOffset = 8;
	
	  ;% rtDW.hkkcc3iipy
	  section.data(6).logicalSrcIdx = 5;
	  section.data(6).dtTransOffset = 10;
	
	  ;% rtDW.keiuwklhbp
	  section.data(7).logicalSrcIdx = 6;
	  section.data(7).dtTransOffset = 12;
	
	  ;% rtDW.ncijok5okf
	  section.data(8).logicalSrcIdx = 7;
	  section.data(8).dtTransOffset = 36;
	
	  ;% rtDW.hvwgiwbc4a
	  section.data(9).logicalSrcIdx = 8;
	  section.data(9).dtTransOffset = 37;
	
	  ;% rtDW.pfd5dzwr30
	  section.data(10).logicalSrcIdx = 9;
	  section.data(10).dtTransOffset = 38;
	
	  ;% rtDW.fbfx01uq0n
	  section.data(11).logicalSrcIdx = 10;
	  section.data(11).dtTransOffset = 39;
	
	  ;% rtDW.h5tuq0lorh
	  section.data(12).logicalSrcIdx = 11;
	  section.data(12).dtTransOffset = 40;
	
	  ;% rtDW.jrusai53lx
	  section.data(13).logicalSrcIdx = 12;
	  section.data(13).dtTransOffset = 41;
	
	  ;% rtDW.mljj1znw3o
	  section.data(14).logicalSrcIdx = 13;
	  section.data(14).dtTransOffset = 42;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(1) = section;
      clear section
      
      section.nData     = 46;
      section.data(46)  = dumData; %prealloc
      
	  ;% rtDW.an0wa2vz4w
	  section.data(1).logicalSrcIdx = 14;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.bxdcoquy3x
	  section.data(2).logicalSrcIdx = 15;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.hviz4et2ov
	  section.data(3).logicalSrcIdx = 16;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtDW.lhmimopell
	  section.data(4).logicalSrcIdx = 17;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtDW.moaipgyewe
	  section.data(5).logicalSrcIdx = 18;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtDW.esmpu2rv15
	  section.data(6).logicalSrcIdx = 19;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtDW.mk5pob3hjk
	  section.data(7).logicalSrcIdx = 20;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtDW.ol3d3jcj0w
	  section.data(8).logicalSrcIdx = 21;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtDW.kp0nivfm3m
	  section.data(9).logicalSrcIdx = 22;
	  section.data(9).dtTransOffset = 8;
	
	  ;% rtDW.emb3cdg2yt
	  section.data(10).logicalSrcIdx = 23;
	  section.data(10).dtTransOffset = 9;
	
	  ;% rtDW.mvkwadwhfg.LoggedData
	  section.data(11).logicalSrcIdx = 24;
	  section.data(11).dtTransOffset = 10;
	
	  ;% rtDW.hfbpng1m5z.TimePtr
	  section.data(12).logicalSrcIdx = 25;
	  section.data(12).dtTransOffset = 11;
	
	  ;% rtDW.nqodwfxjjo.AQHandles
	  section.data(13).logicalSrcIdx = 26;
	  section.data(13).dtTransOffset = 12;
	
	  ;% rtDW.hczsmpsyru.LoggedData
	  section.data(14).logicalSrcIdx = 27;
	  section.data(14).dtTransOffset = 13;
	
	  ;% rtDW.dgipymqzyq.LoggedData
	  section.data(15).logicalSrcIdx = 28;
	  section.data(15).dtTransOffset = 14;
	
	  ;% rtDW.f2ktmcqqad.LoggedData
	  section.data(16).logicalSrcIdx = 29;
	  section.data(16).dtTransOffset = 17;
	
	  ;% rtDW.fdpvpmcq2h.LoggedData
	  section.data(17).logicalSrcIdx = 30;
	  section.data(17).dtTransOffset = 19;
	
	  ;% rtDW.p2qljjxqn4.LoggedData
	  section.data(18).logicalSrcIdx = 31;
	  section.data(18).dtTransOffset = 23;
	
	  ;% rtDW.fezizf1ejq.LoggedData
	  section.data(19).logicalSrcIdx = 32;
	  section.data(19).dtTransOffset = 24;
	
	  ;% rtDW.c350yocvgl.LoggedData
	  section.data(20).logicalSrcIdx = 33;
	  section.data(20).dtTransOffset = 27;
	
	  ;% rtDW.ldod42aycj.LoggedData
	  section.data(21).logicalSrcIdx = 34;
	  section.data(21).dtTransOffset = 29;
	
	  ;% rtDW.plmudal4ta.LoggedData
	  section.data(22).logicalSrcIdx = 35;
	  section.data(22).dtTransOffset = 32;
	
	  ;% rtDW.lfrn0e5lcq.LoggedData
	  section.data(23).logicalSrcIdx = 36;
	  section.data(23).dtTransOffset = 33;
	
	  ;% rtDW.adm4jxhnjf.LoggedData
	  section.data(24).logicalSrcIdx = 37;
	  section.data(24).dtTransOffset = 35;
	
	  ;% rtDW.oh014ep0ps.LoggedData
	  section.data(25).logicalSrcIdx = 38;
	  section.data(25).dtTransOffset = 37;
	
	  ;% rtDW.bv33yokecw.LoggedData
	  section.data(26).logicalSrcIdx = 39;
	  section.data(26).dtTransOffset = 39;
	
	  ;% rtDW.jdi5qiljjl.LoggedData
	  section.data(27).logicalSrcIdx = 40;
	  section.data(27).dtTransOffset = 40;
	
	  ;% rtDW.kq5kkn45qx.LoggedData
	  section.data(28).logicalSrcIdx = 41;
	  section.data(28).dtTransOffset = 43;
	
	  ;% rtDW.hm0qcqlzbi.LoggedData
	  section.data(29).logicalSrcIdx = 42;
	  section.data(29).dtTransOffset = 45;
	
	  ;% rtDW.fbtzkj1iny.LoggedData
	  section.data(30).logicalSrcIdx = 43;
	  section.data(30).dtTransOffset = 47;
	
	  ;% rtDW.luukztvbgc.LoggedData
	  section.data(31).logicalSrcIdx = 44;
	  section.data(31).dtTransOffset = 51;
	
	  ;% rtDW.mtilmqy40q.LoggedData
	  section.data(32).logicalSrcIdx = 45;
	  section.data(32).dtTransOffset = 54;
	
	  ;% rtDW.os3ufyeyb4.LoggedData
	  section.data(33).logicalSrcIdx = 46;
	  section.data(33).dtTransOffset = 55;
	
	  ;% rtDW.akq5jm3tu4.LoggedData
	  section.data(34).logicalSrcIdx = 47;
	  section.data(34).dtTransOffset = 61;
	
	  ;% rtDW.iwdkal25ni.LoggedData
	  section.data(35).logicalSrcIdx = 48;
	  section.data(35).dtTransOffset = 65;
	
	  ;% rtDW.idxwqtxii5.LoggedData
	  section.data(36).logicalSrcIdx = 49;
	  section.data(36).dtTransOffset = 68;
	
	  ;% rtDW.do1iix1fvp.LoggedData
	  section.data(37).logicalSrcIdx = 50;
	  section.data(37).dtTransOffset = 70;
	
	  ;% rtDW.ahmm2xafsr.LoggedData
	  section.data(38).logicalSrcIdx = 51;
	  section.data(38).dtTransOffset = 71;
	
	  ;% rtDW.hnnsfspbsg.LoggedData
	  section.data(39).logicalSrcIdx = 52;
	  section.data(39).dtTransOffset = 73;
	
	  ;% rtDW.kyyztuv0kg.LoggedData
	  section.data(40).logicalSrcIdx = 53;
	  section.data(40).dtTransOffset = 74;
	
	  ;% rtDW.coi4l2kr2y.LoggedData
	  section.data(41).logicalSrcIdx = 54;
	  section.data(41).dtTransOffset = 77;
	
	  ;% rtDW.pbn2zmiols.LoggedData
	  section.data(42).logicalSrcIdx = 55;
	  section.data(42).dtTransOffset = 78;
	
	  ;% rtDW.dj5nlqogvn.LoggedData
	  section.data(43).logicalSrcIdx = 56;
	  section.data(43).dtTransOffset = 81;
	
	  ;% rtDW.oaxdkly2qy.LoggedData
	  section.data(44).logicalSrcIdx = 57;
	  section.data(44).dtTransOffset = 83;
	
	  ;% rtDW.iwqmaxnii0.LoggedData
	  section.data(45).logicalSrcIdx = 58;
	  section.data(45).dtTransOffset = 87;
	
	  ;% rtDW.ngerq1rhsb.LoggedData
	  section.data(46).logicalSrcIdx = 59;
	  section.data(46).dtTransOffset = 90;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(2) = section;
      clear section
      
      section.nData     = 5;
      section.data(5)  = dumData; %prealloc
      
	  ;% rtDW.bu0nq43hjp
	  section.data(1).logicalSrcIdx = 60;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.nvtolofyxv
	  section.data(2).logicalSrcIdx = 61;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.c03fwpj0hi
	  section.data(3).logicalSrcIdx = 62;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtDW.escn0j1ja5
	  section.data(4).logicalSrcIdx = 63;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtDW.czugf3lp1i
	  section.data(5).logicalSrcIdx = 64;
	  section.data(5).dtTransOffset = 4;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(3) = section;
      clear section
      
      section.nData     = 3;
      section.data(3)  = dumData; %prealloc
      
	  ;% rtDW.ckqpu5xkdu
	  section.data(1).logicalSrcIdx = 65;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.hvyhz0rinp
	  section.data(2).logicalSrcIdx = 66;
	  section.data(2).dtTransOffset = 20;
	
	  ;% rtDW.j0ajw1byxy.PrevIndex
	  section.data(3).logicalSrcIdx = 67;
	  section.data(3).dtTransOffset = 21;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(4) = section;
      clear section
      
      section.nData     = 3;
      section.data(3)  = dumData; %prealloc
      
	  ;% rtDW.b5j5pn4402
	  section.data(1).logicalSrcIdx = 68;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.a1b24cmuov
	  section.data(2).logicalSrcIdx = 69;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.d2llyw4aei
	  section.data(3).logicalSrcIdx = 70;
	  section.data(3).dtTransOffset = 2;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(5) = section;
      clear section
      
      section.nData     = 4;
      section.data(4)  = dumData; %prealloc
      
	  ;% rtDW.buptq5b3lk
	  section.data(1).logicalSrcIdx = 71;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.myc2dris0z
	  section.data(2).logicalSrcIdx = 72;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.mcvoesfujc
	  section.data(3).logicalSrcIdx = 73;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtDW.jivyloy3yi
	  section.data(4).logicalSrcIdx = 74;
	  section.data(4).dtTransOffset = 3;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(6) = section;
      clear section
      
      section.nData     = 5;
      section.data(5)  = dumData; %prealloc
      
	  ;% rtDW.gc0xzmti13
	  section.data(1).logicalSrcIdx = 75;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.lvmiamzpyq
	  section.data(2).logicalSrcIdx = 76;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.ay1uwe1gfj
	  section.data(3).logicalSrcIdx = 77;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtDW.aq020iueee
	  section.data(4).logicalSrcIdx = 78;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtDW.mlp4bstdwk
	  section.data(5).logicalSrcIdx = 79;
	  section.data(5).dtTransOffset = 4;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(7) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtDW.bpxc1e3ccx
	  section.data(1).logicalSrcIdx = 80;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.m413xofoyi
	  section.data(2).logicalSrcIdx = 81;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(8) = section;
      clear section
      
      section.nData     = 6;
      section.data(6)  = dumData; %prealloc
      
	  ;% rtDW.jktgwyewld
	  section.data(1).logicalSrcIdx = 82;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.pkbeapsmz3
	  section.data(2).logicalSrcIdx = 83;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.aclmup2bmp
	  section.data(3).logicalSrcIdx = 84;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtDW.dzcn1vh1zj
	  section.data(4).logicalSrcIdx = 85;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtDW.hyx42rdc0g
	  section.data(5).logicalSrcIdx = 86;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtDW.icooovlxpv
	  section.data(6).logicalSrcIdx = 87;
	  section.data(6).dtTransOffset = 5;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(9) = section;
      clear section
      
      section.nData     = 5;
      section.data(5)  = dumData; %prealloc
      
	  ;% rtDW.oed2laixap
	  section.data(1).logicalSrcIdx = 88;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.ome5bgj33n
	  section.data(2).logicalSrcIdx = 89;
	  section.data(2).dtTransOffset = 30;
	
	  ;% rtDW.au2rtsfkik
	  section.data(3).logicalSrcIdx = 90;
	  section.data(3).dtTransOffset = 31;
	
	  ;% rtDW.ktje2zmdhr
	  section.data(4).logicalSrcIdx = 91;
	  section.data(4).dtTransOffset = 32;
	
	  ;% rtDW.hbqzn53x3b
	  section.data(5).logicalSrcIdx = 92;
	  section.data(5).dtTransOffset = 33;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(10) = section;
      clear section
      
      section.nData     = 19;
      section.data(19)  = dumData; %prealloc
      
	  ;% rtDW.mmgy52to34
	  section.data(1).logicalSrcIdx = 93;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.akezlsvf4r
	  section.data(2).logicalSrcIdx = 94;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.nvwhihmuxi
	  section.data(3).logicalSrcIdx = 95;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtDW.nwulawgmpz
	  section.data(4).logicalSrcIdx = 96;
	  section.data(4).dtTransOffset = 3;
	
	  ;% rtDW.etrlwpgbmn
	  section.data(5).logicalSrcIdx = 97;
	  section.data(5).dtTransOffset = 4;
	
	  ;% rtDW.b4mhrctptb
	  section.data(6).logicalSrcIdx = 98;
	  section.data(6).dtTransOffset = 5;
	
	  ;% rtDW.hsdsrre1ez
	  section.data(7).logicalSrcIdx = 99;
	  section.data(7).dtTransOffset = 6;
	
	  ;% rtDW.fy2xh4lnkj
	  section.data(8).logicalSrcIdx = 100;
	  section.data(8).dtTransOffset = 7;
	
	  ;% rtDW.jllb4crr4l
	  section.data(9).logicalSrcIdx = 101;
	  section.data(9).dtTransOffset = 8;
	
	  ;% rtDW.adbs0iqmbq
	  section.data(10).logicalSrcIdx = 102;
	  section.data(10).dtTransOffset = 9;
	
	  ;% rtDW.c1r3arr2wv
	  section.data(11).logicalSrcIdx = 103;
	  section.data(11).dtTransOffset = 10;
	
	  ;% rtDW.okzuukxele
	  section.data(12).logicalSrcIdx = 104;
	  section.data(12).dtTransOffset = 11;
	
	  ;% rtDW.agj4y5aysy
	  section.data(13).logicalSrcIdx = 105;
	  section.data(13).dtTransOffset = 12;
	
	  ;% rtDW.lufhggjfnd
	  section.data(14).logicalSrcIdx = 106;
	  section.data(14).dtTransOffset = 13;
	
	  ;% rtDW.lincvc42bd
	  section.data(15).logicalSrcIdx = 107;
	  section.data(15).dtTransOffset = 14;
	
	  ;% rtDW.grldzuufc2
	  section.data(16).logicalSrcIdx = 108;
	  section.data(16).dtTransOffset = 15;
	
	  ;% rtDW.emjuqt1mza
	  section.data(17).logicalSrcIdx = 109;
	  section.data(17).dtTransOffset = 16;
	
	  ;% rtDW.o15rhlrdvu
	  section.data(18).logicalSrcIdx = 110;
	  section.data(18).dtTransOffset = 17;
	
	  ;% rtDW.aqnsdlzrky
	  section.data(19).logicalSrcIdx = 111;
	  section.data(19).dtTransOffset = 18;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(11) = section;
      clear section
      
      section.nData     = 4;
      section.data(4)  = dumData; %prealloc
      
	  ;% rtDW.mrwa3pcizz
	  section.data(1).logicalSrcIdx = 112;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.h1ks4y0o2c
	  section.data(2).logicalSrcIdx = 113;
	  section.data(2).dtTransOffset = 1;
	
	  ;% rtDW.agy30vsbxo
	  section.data(3).logicalSrcIdx = 114;
	  section.data(3).dtTransOffset = 2;
	
	  ;% rtDW.nqb5vdyagk
	  section.data(4).logicalSrcIdx = 115;
	  section.data(4).dtTransOffset = 3;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(12) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtDW.fdz4phu3ryu.fc0ueetkxo.LoggedData
	  section.data(1).logicalSrcIdx = 116;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(13) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtDW.fdz4phu3ryu.aw4gkotmo1
	  section.data(1).logicalSrcIdx = 117;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.fdz4phu3ryu.dyhfef4gnd
	  section.data(2).logicalSrcIdx = 118;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(14) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtDW.fdz4phu3ryu.fuo5sxlped
	  section.data(1).logicalSrcIdx = 119;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(15) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtDW.meo3xsl5lqf.emwxkef0aw
	  section.data(1).logicalSrcIdx = 120;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(16) = section;
      clear section
      
      section.nData     = 2;
      section.data(2)  = dumData; %prealloc
      
	  ;% rtDW.n30etil1yvr.mxzjvqfpt5
	  section.data(1).logicalSrcIdx = 121;
	  section.data(1).dtTransOffset = 0;
	
	  ;% rtDW.n30etil1yvr.mp5vh0x33p
	  section.data(2).logicalSrcIdx = 122;
	  section.data(2).dtTransOffset = 1;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(17) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtDW.pubdfj1edpf.oqy0i3di0d
	  section.data(1).logicalSrcIdx = 123;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(18) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtDW.pubdfj1edpf.delqqdt2hh.LoggedData
	  section.data(1).logicalSrcIdx = 124;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(19) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtDW.pubdfj1edpf.ck2g4y21cg
	  section.data(1).logicalSrcIdx = 125;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(20) = section;
      clear section
      
      section.nData     = 1;
      section.data(1)  = dumData; %prealloc
      
	  ;% rtDW.cpoajd5uh02.bdbhhwxoih
	  section.data(1).logicalSrcIdx = 126;
	  section.data(1).dtTransOffset = 0;
	
      nTotData = nTotData + section.nData;
      dworkMap.sections(21) = section;
      clear section
      
    
      ;%
      ;% Non-auto Data (dwork)
      ;%
    

    ;%
    ;% Add final counts to struct.
    ;%
    dworkMap.nTotData = nTotData;
    


  ;%
  ;% Add individual maps to base struct.
  ;%

  targMap.paramMap  = paramMap;    
  targMap.signalMap = sigMap;
  targMap.dworkMap  = dworkMap;
  
  ;%
  ;% Add checksums to base struct.
  ;%


  targMap.checksum0 = 2080476559;
  targMap.checksum1 = 3124858972;
  targMap.checksum2 = 2659875823;
  targMap.checksum3 = 2655922484;

